=== debian/changelog ===
onionprobe (1.1.0) unstable; urgency=medium

  * New upstream version.

 -- Silvio Rhatto <rhatto@torproject.org>  Mon, 03 Apr 2023 15:17:02 -0300

onionprobe (1.0.0) unstable; urgency=medium

  * New upstream version.
  * Has BREAKING CHANGES, see Onionprobe's ChangeLog for details.

 -- Silvio Rhatto <rhatto@torproject.org>  Tue, 31 May 2022 14:38:12 -0300

onionprobe (0.3.4) unstable; urgency=medium

  * New upstream version.

 -- Silvio Rhatto <rhatto@torproject.org>  Wed, 11 May 2022 15:01:02 -0300

onionprobe (0.3.3) unstable; urgency=medium

  * New upstream version.

 -- Silvio Rhatto <rhatto@torproject.org>  Wed, 11 May 2022 14:05:54 -0300

onionprobe (0.3.2) unstable; urgency=medium

  * New upstream version.
  * Leave examples only at /usr/lib/python3/dist-packages.

 -- Silvio Rhatto <rhatto@torproject.org>  Wed, 11 May 2022 09:50:53 -0300

onionprobe (0.3.1) unstable; urgency=medium

  * New upstream version.
  * Add examples folder.

 -- Silvio Rhatto <rhatto@torproject.org>  Tue, 03 May 2022 13:18:40 -0300

onionprobe (0.3.0) unstable; urgency=medium

  * New upstream version.

 -- Silvio Rhatto <rhatto@torproject.org>  Tue, 19 Apr 2022 16:52:11 -0300

onionprobe (0.2.2) unstable; urgency=medium

  * New upstream version.

 -- Silvio Rhatto <rhatto@torproject.org>  Mon, 11 Apr 2022 09:09:35 -0300
