=== debian/control ===
Source: onionprobe
Section: net
Priority: optional
Maintainer: Silvio Rhatto <rhatto@torproject.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3,
 python3-setuptools,
 pandoc
X-Python-3-Version: >= 3.5
Standards-Version: 4.6.0.1
Homepage: https://tpo.pages.torproject.net/onion-services/onionprobe
Vcs-Git: https://gitlab.torproject.org/tpo/onion-services/onionprobe.git
Vcs-Browser: https://gitlab.torproject.org/tpo/onion-services/onionprobe/-/tree/main

Package: onionprobe
Architecture: all
Pre-Depends:
  ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python3:Depends},
 adduser,
 tor
Recommends:
 prometheus
Description: test/monitor tool for Onion Services sites
 Onionprobe is a tool for testing and monitoring the status of Tor Onion
 Services sites. It can run a single time or continuously to probe a set of
 onion services endpoints and paths, optionally exporting to Prometheus.
